com.google.appengine.tools.admin

## Enum AppAdmin.LogSeverity

- java.lang.Object
- - java.lang.Enum<AppAdmin.LogSeverity>
  - - com.google.appengine.tools.admin.AppAdmin.LogSeverity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AppAdmin.LogSeverity>
  Enclosing interface:
    AppAdmin

      public static enum AppAdmin.LogSeverity
      extends java.lang.Enum<AppAdmin.LogSeverity>

  The severity levels for App Engine application logging.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL`
    `DEBUG`
    `ERROR`
    `INFO`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AppAdmin.LogSeverity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AppAdmin.LogSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBUG

          public static final AppAdmin.LogSeverity DEBUG

    - #### INFO

          public static final AppAdmin.LogSeverity INFO

    - #### WARN

          public static final AppAdmin.LogSeverity WARN

    - #### ERROR

          public static final AppAdmin.LogSeverity ERROR

    - #### CRITICAL

          public static final AppAdmin.LogSeverity CRITICAL

  - ### Method Detail

    - #### values

          public static AppAdmin.LogSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AppAdmin.LogSeverity c : AppAdmin.LogSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AppAdmin.LogSeverity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null